summaryrefslogtreecommitdiffstats
path: root/test/update-test-cmd-list
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-04 01:03:19 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-04 01:03:19 +0000
commit6c09f2a45c5541e9c207d14fc7aa21a4a0066bde (patch)
tree0221189d367bf661f6f9493c4f17a03f0dd4b7d2 /test/update-test-cmd-list
parentReleasing progress-linux version 1:2.11-8~progress7.99u1. (diff)
downloadbash-completion-6c09f2a45c5541e9c207d14fc7aa21a4a0066bde.tar.xz
bash-completion-6c09f2a45c5541e9c207d14fc7aa21a4a0066bde.zip
Merging upstream version 1:2.12.0.
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'test/update-test-cmd-list')
-rwxr-xr-xtest/update-test-cmd-list9
1 files changed, 5 insertions, 4 deletions
diff --git a/test/update-test-cmd-list b/test/update-test-cmd-list
index 115ae16..20224b4 100755
--- a/test/update-test-cmd-list
+++ b/test/update-test-cmd-list
@@ -1,4 +1,5 @@
-#!/bin/bash -eu
+#!/usr/bin/env bash
+set -eu
mydir=$(
cd "$(dirname "$0")"
@@ -7,7 +8,7 @@ mydir=$(
cat "$mydir"/t/test_*.py |
tr -d '\n' |
- grep -Eo '@pytest.mark.complete(\([^)]*\))' |
- sed -ne 's/^[^"]*"\\\?\([^_][^[:space:]"]*\)[[:space:]"].*/\1/p' |
- sort -u \
+ grep -Eo '@pytest.mark.complete\(([^)]*\<require_(cmd|longopt) *= *True\>[^)]*)\)' |
+ sed -ne 's/^[^"]*"\\\{0,1\}\([^_][^[:space:]"]*\)[[:space:]"].*/\1/p' |
+ LC_ALL=C sort -u \
>"$mydir"/test-cmd-list.txt